Subject: bug#36435: ido mode C-x C-f not showing regular files in special instances

From: Michael Wu <[email-masked]>
Date: Sat, 29 Jun 2019 11:35:22 -0400

Emacs 26.2.

I do not know exactly the set of cases this bug appears, but here is a way
(albeit specific) that works every time for me.

I have the following directory hierarchy:

.
├── d1
│   ├── d1
│   │   ├── a
│   │   ├── b
│   │   ├── c
│   │   ├── d1
│   │   └── d2
│   └── d2
└── d2
    ├── d1
    │   ├── 1
    │   ├── 2
    │   ├── 3
    │   ├── da
    │   └── db
    └── d2

The d's are directories. If I make d1/d1 my working directory, and then do
(exactly this sequence of keys)

C-x C-f, M-b, M-b, C-k, 2<TAB>, 1<TAB>

I am shown only `da` and `db`, and not the files `1`, `2`, or `3`.